org.apache.maven.scm.provider.local.command.update

## Class LocalUpdateScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.update.UpdateScmResult
    - - org.apache.maven.scm.provider.local.command.update.LocalUpdateScmResult

- All Implemented Interfaces:
    Serializable

      public class LocalUpdateScmResult
      extends UpdateScmResult

  Version:
    $Id: LocalUpdateScmResult.java 483105 2006-12-06 15:07:54Z evenisse $
  Author:
    Trygve Laugstøl
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalUpdateScmResult(String commandLine, List files)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.maven.scm.command.update.UpdateScmResult

      `getChanges, getUpdatedFiles, setChanges`

    - ### Methods inherited from class org.apache.maven.scm.ScmResult

      `getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalUpdateScmResult

          public LocalUpdateScmResult(String commandLine,
                              List files)

Copyright © 2003–2015. All rights reserved.